org.apache.cassandra.db

## Class ColumnFamilyStore.AbstractScanIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<Row>
    - - org.apache.cassandra.db.ColumnFamilyStore.AbstractScanIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<Row>, CloseableIterator<Row>
  Enclosing class:
    ColumnFamilyStore

      public abstract static class ColumnFamilyStore.AbstractScanIterator
      extends com.google.common.collect.AbstractIterator<Row>
      implements CloseableIterator<Row>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScanIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `needsFiltering()`

    - ### Methods inherited from class com.google.common.collect.AbstractIterator

      `computeNext, endOfData, hasNext, next, peek`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### AbstractScanIterator

          public AbstractScanIterator()

  - ### Method Detail

    - #### needsFiltering

          public boolean needsFiltering()

Copyright © 2018 The Apache Software Foundation